<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\VorgesetzteAnmeldungenGenehmigen;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'belegungsUebersicht': 
        return new BelegungsUebersicht\BelegungsUebersichtController();
      case 'sortBelegungen':
        return new BelegungsUebersicht\BelegungsUebersichtSortierenController();
      case 'saveBelegungen':
        return new BelegungsUebersicht\SaveBelegungenController();
    }
  }
}